Bug 18188 - installer crashes on wrong input (user accounts)
Summary: installer crashes on wrong input (user accounts)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
low
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 06:57 UTC by Manuel "Chilli" Chakravarty
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 22:12:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Manuel "Chilli" Chakravarty 2000-10-03 06:57:51 UTC
In the dialog that allows to add/delete/edit user accounts that should be
set up during the installation, when the list of user accounts is _empty_,
selecting "Delete" crashes the installer.

The following is the relevant part of the dump written by Python after the
crash:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/userauth_text.py",
line 213, in __call__
  File "/tmp/lib/python1.5/snack.py", line 87, in current
    return self.key2item[self.w.listboxGetCurrent()]
KeyError: 0

Local variables in innermost frame:
self: <snack.Listbox instance at 823cbd0>

ToDo object:
<truncated>

Comment 1 Michael Fulbright 2000-10-03 19:17:18 UTC
Brent verify, and if present please correct.

Comment 2 Michael Fulbright 2000-10-03 19:17:44 UTC
This is in TUI btw.

Comment 3 Brent Fox 2000-10-05 22:41:01 UTC
I have verified this.  When in text mode, the installer crashes if you activate
the "Delete" button when there are no user accounts in the list.  Also, it
crashes if you activate "Edit" on an empty list as well.  I'm working on a fix
right now.  I've changed the priority to high.

Comment 4 Brent Fox 2000-10-05 23:10:03 UTC
File anaconda/textw/user_auth.py version 1.13.
Fixed in CVS.  Needs to be tested.

Comment 5 Brock Organ 2000-11-13 19:39:42 UTC
verified fix in internal testing (qa1113.0)...


Note You need to log in before you can comment on or make changes to this bug.